# 67. التغيير: حفظ المزرعة

طفرة لتعديل "المزرعة" الحالية باسم جديد.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
طفرة SaveFarmSample {
  saveFarm(
    input: { 
      uuid: "<placeholder_of_farm_uuid>", 
      الاسم: "Farm_name" 
    }
  ) {
    uuid
    userUuid
    الاسم
    farmOwnership
    تاريخ الإنشاء
    updatedDate
    البريد الإلكتروني
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/67.-altghyyr-hfz-almzrah.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
